# -*- coding: utf-8 -*-
from odoo.addons.base.maintenance.migrations import util

def migrate(cr, version):
    util.create_column(cr, "openerp_enterprise_database", "hosting", "varchar")
    util.create_column(cr, "sale_subscription", "odoo_sh_extra_gb", "integer")
    util.create_column(cr, "sale_subscription", "odoo_sh_extra_stagings", "integer")
    util.create_column(cr, "sale_subscription", "odoo_sh_extra_workers", "integer")

    cr.execute("UPDATE openerp_enterprise_database SET hosting = case when (info::json->>'saas')::boolean then 'saas' when last_ip in ('35.224.116.9' ,'35.202.90.205' ,'104.154.114.160' ,'146.148.95.232' ,'35.226.155.95' ,'35.185.248.9' ,'35.199.167.163' ,'35.198.220.217' ,'35.195.18.151' ,'35.187.115.106' ,'104.155.23.254' ,'35.205.247.29' ,'35.195.230.157' ,'35.187.46.26' ,'104.155.86.160' ,'35.190.221.219') then 'paas' else 'premise' end WHERE hosting IS NULL")
    cr.execute("UPDATE sale_subscription SET hosting = CASE hosting WHEN 'online' THEN 'saas' WHEN 'odoo_sh' THEN 'paas' WHEN 'on_premise' THEN 'premise' ELSE hosting END")
